Ticket #38178

Give more penalty on assigning matches with same players

Open Date: 2018-04-07 15:01 Last Update: 2018-04-07 15:23

Reporter:
Owner:
(None)
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
None

Details

When two lowest-rating (or estimated rating) players happened to make a match, there was a high chance that they would be paired on the next match again.

There was a report on this issue: http://bleu48.hatenablog.com/entry/2018/04/05/125107. The scenario would be

  1. kifuwarabe2018 with a rate of 479 and APTkai_i9_7960X with no steady rate happened to make a game
  2. APTkai_i9_7960X won the game.
  3. On the next match, roughly speaking, Floodgate selects pairs so as to minimize a loss function, which is the sum of rating differences between players.
    • APTkai_i9_7960X's rate was estimated as 679 (the previous oppenent's rate plus 200)
    • Floodgate gave a penalty (400) on the same pair.
    • Unfortunately, their rates were way lower than the others.
    • Even with the penalty, Floodgate made a match on them again.

APTkai_i9_7960X and kifuwarabe2018 ended up with playing 12 successive games from 2018-04-06 11:00 to 2018-04-06 16:30.

As a quick workaround, raise the same-pair penalty.

Attachment File List

No attachments

Ticket History (2/2 Histories)

2018-04-07 15:01 Updated by: beatles
  • New Ticket "Give more penalty on assigning matches with same players" created
2018-04-07 15:23 Updated by: beatles
  • Status Update from Open to Closed
  • Details Updated
Comment

Closed at e40247f1908aadad6ed15e89a3b6bde935960095

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login